LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-22-2012, 12:56 PM   #1
HarryBoy
Member
 
Registered: Apr 2008
Distribution: MontaVista Linux Version 4.0.1, Professional Edition
Posts: 215

Rep: Reputation: 16
Help me I have removed packaged I need....


I was trying to remove libcurl 32 bit from my SLES system and install the 64 bit version.

zypper se libcurl
Loading repository data...
Reading installed packages...

S | Name | Summary | Type
--+---------------------+----------------------------------------+--------
i | libcurl-devel | A Tool for Transferring Data from URLs | package
i | libcurl-devel-32bit | A Tool for Transferring Data from URLs | package
i | libcurl4 | cURL shared library version 4 | package
i | libcurl4-32bit | cURL shared library version 4 | package


So I did:
zypper remove libcurl-devel-32bit -this ran fine then
zypper remove libcurl4-32bit -this ran fine then

zypper remove libcurl4

Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following packages are going to be REMOVED:
PackageKit PackageKit-lang conky git-core git-gui git-svn git-web gitk gnome-applets gnome-applets-lang gnome-packagekit gnome-packagekit-lang libcurl4 libpackagekit-glib10
libqdialogsolver1 libwsman1 libzypp openwsman-client openwsman-server perl-WWW-Curl rubygem-passenger rubygem-passenger-nginx sblim-sfcc sblim-wbemcli yast2 yast2-add-on-creator
yast2-apparmor yast2-audit-laf yast2-autofs yast2-boot-server yast2-ca-management yast2-control-center yast2-control-center-gnome yast2-country yast2-dhcp-server yast2-dns-server
yast2-fingerprint-reader yast2-firewall yast2-http-server yast2-instserver yast2-irda yast2-iscsi-server yast2-isns yast2-kerberos-client yast2-kerberos-server yast2-ldap
yast2-ldap-client yast2-ldap-server yast2-mail yast2-mouse yast2-ncurses-pkg yast2-network yast2-nfs-client yast2-nfs-server yast2-nis-client yast2-nis-server yast2-ntp-client
yast2-pam yast2-pkg-bindings yast2-power-management yast2-printer yast2-profile-manager yast2-qt-pkg yast2-rdp yast2-runlevel yast2-samba-client yast2-samba-server yast2-security
yast2-slp-server yast2-sound yast2-squid yast2-sshd yast2-storage yast2-sudo yast2-support yast2-sysconfig yast2-tftp-server yast2-users yast2-x11 zypper

80 packages to remove.
After the operation, 121.0 MiB will be freed.
Continue? [y/n/?] (y): y
Removing conky-1.8.1-10.1 [done]
Removing git-gui-1.6.0.2-7.31.2 [done]
Removing git-svn-1.6.0.2-7.31.2 [done]
Removing git-web-1.6.0.2-7.31.2 [done]
Removing gitk-1.6.0.2-7.31.2 [done]
Removing gnome-applets-lang-2.28.0-2.2.81 [done]
Removing gnome-packagekit-lang-0.3.14-2.78.112 [done]
Removing libqdialogsolver1-1.3.0-1.5.194 [done]
Removing openwsman-client-2.2.3-0.6.5 [done]
Removing openwsman-server-2.2.3-0.6.5 [done]
Removing perl-WWW-Curl-4.09-2.1.72 [done]
Removing rubygem-passenger-nginx-3.0.6-2.3.12 [done]
Removing sblim-wbemcli-1.6.1-1.1.84 [done]
Removing yast2-add-on-creator-2.17.15-0.5.93 [done]
Removing yast2-apparmor-2.17.12-0.5.73 [done]
Removing yast2-audit-laf-2.17.10-0.2.18 [done]
Removing yast2-autofs-2.17.1-0.1.61 [done]
Removing yast2-boot-server-2.14.0-276.38 [done]
Removing yast2-control-center-2.17.4-0.1.76 [done]
Removing yast2-dhcp-server-2.17.6-0.4.2.30 [done]
Removing yast2-fingerprint-reader-2.17.7-0.1.201 [done]
Removing yast2-firewall-2.17.11-0.5.92 [done]
Removing yast2-http-server-2.17.13-0.7.4 [done]
Removing yast2-instserver-2.17.6-0.2.1.1 [done]
Removing yast2-irda-2.17.3-0.1.85 [done]
Removing yast2-iscsi-server-2.17.10-0.7.3 [done]
Removing yast2-isns-2.17.2-0.2.2 [done]
Removing yast2-kerberos-server-2.17.8-0.6.2 [done]
Removing yast2-ldap-server-2.17.42-0.5.96 [done]
Removing yast2-mail-2.17.6-0.9.15 [done]
Removing yast2-mouse-2.16.1-19.38 [done]
Removing yast2-ncurses-pkg-2.17.19-0.5.100 [done]
Removing yast2-nfs-client-2.17.13-0.5.189 [done]
Removing yast2-nfs-server-2.17.7-1.1.2 [done]
Removing yast2-nis-server-2.17.2-1.53 [done]
Removing yast2-ntp-client-2.17.14-1.10.14 [done]
Removing yast2-power-management-2.17.7-0.1.84 [done]
Removing yast2-printer-2.17.63-0.2.43 [done]
Removing yast2-profile-manager-2.17.2-0.7.5 [done]
Removing yast2-qt-pkg-2.21.4-2.5.56 [done]
Removing yast2-rdp-2.17.0-4.1.92 [done]
Removing yast2-runlevel-2.17.9-0.7.3 [done]
Removing yast2-samba-server-2.17.13-0.7.5 [done]
Removing yast2-slp-server-2.17.4-0.2.48 [done]
Removing yast2-sound-2.17.19-0.7.3 [done]
Removing yast2-squid-2.17.11-0.3.46 [done]
Removing yast2-sshd-2.17.2-1.21 [done]
Removing yast2-sudo-2.17.3-1.53 [done]
Removing yast2-support-2.17.19-2.1.59 [done]
Removing yast2-tftp-server-2.17.1-1.37 [done]
Removing yast2-x11-2.17.13.1-0.3.1 [done]
Removing zypper-1.6.161-0.7.19 [done]
Removing git-core-1.6.0.2-7.31.2 [done]
Removing gnome-applets-2.28.0-2.2.81 [done]
Removing gnome-packagekit-0.3.14-2.78.112 [done]
Removing sblim-sfcc-2.2.1-0.4.6 [done]
Removing libwsman1-2.2.3-0.6.5 [done]
Removing rubygem-passenger-3.0.6-2.3.12 [done]
Removing yast2-control-center-gnome-2.13.4-1.4.14 [done]
Removing yast2-dns-server-2.17.17-0.5.201 [done]
Removing yast2-ca-management-2.17.23-0.5.25 [done]
Removing yast2-nis-client-2.17.8-0.1.1 [done]
Removing yast2-samba-client-2.17.21-0.5.186 [done]
Removing yast2-users-2.17.51-0.5.166 [done]
Removing PackageKit-0.3.14-2.23.126 [done]
Removing yast2-sysconfig-2.17.0-1.38 [done]
Removing yast2-kerberos-client-2.17.14-0.5.1 [done]
Removing yast2-security-2.17.15-0.5.214 [done]
Removing yast2-ldap-client-2.17.34-0.5.3 [done]
Removing yast2-country-2.17.51-0.5.180 [done]
Removing PackageKit-lang-0.3.14-2.23.126 [done]
Removing yast2-pam-2.17.3-0.5.211 [done]
Removing yast2-network-2.17.171-0.5.11 [done]
Removing yast2-ldap-2.17.6-0.5.131 [done]
Removing libpackagekit-glib10-0.3.14-2.23.126 [done]
Removing yast2-storage-2.17.126-0.5.3 [done]
Removing yast2-2.17.119-0.5.25 [done]
Removing yast2-pkg-bindings-2.17.57-0.5.8 [done]
Removing libzypp-9.11.7-0.5.16 [done]
Removing libcurl4-7.19.7-1.18.1 [done]



Now I have removed a lot of packaged that I need (Including zypper)


How can I fix this????
 
Old 03-22-2012, 01:21 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
Please use your install DVD :
Hopefully the option "Repair Installed System" will install the missing packages.


About libcurl4 :
32bits and 64bits versions : Both can be installed at the same time.

.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Removed accidently removed panel at Suse 11.1? alte_mann SUSE / openSUSE 6 01-29-2009 05:19 AM
Cedega to be Packaged with Mandriva mickeyboa Mandriva 2 10-05-2007 07:14 PM
Which distro has these packaged in? Networks Linux - Distributions 5 06-13-2007 12:06 AM
how to uninstall non-packaged software kosmognov Linux - Software 6 05-13-2006 12:08 PM
slack packaged gnome sridharinfinity Slackware 0 12-01-2003 03:34 AM


All times are GMT -5. The time now is 05:44 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration